name: pcdn
services:
  api:
    restart: always
    image: dockerreg.maxnetsys.com:5000/rd/plat/pcdn/api:${pcdn_api:?pcdn_api镜像未定义}
    volumes:
      - ./conf/api.yaml:/app/config.yaml
      - ./data/api/log:/app/log
      - ./data/api/static:/app/static
    networks:
      - pcdn_web

  web:
    restart: always
    image: dockerreg.maxnetsys.com:5000/rd/plat/pcdn/web:${pcdn_web:?pcdn_web镜像未定义}
    depends_on:
      - api
    volumes:
      - ./conf/nginx.conf:/etc/nginx/conf.d/default.conf
    ports:
      - "29999:80"
    networks:
      - pcdn_web

networks:
  pcdn_web:
